## nitime 0.2.99

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html api htmlonly latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      make the HTML documentation"
	@echo "  api       	make API documents only"
	@echo "  latex     make the LaTeX, you can set PAPER=a4 or PAPER=letter"
	@echo "  pdf		make <latex> and run the PDF generation"
	@echo "  changes   make an overview of all changed/added/deprecated" \
	      		"items (ChangeLog)"
	@echo "  linkcheck check all external links for integrity"
	@echo "  doctest   run all doctests embedded in the documentation"
	@echo "  sf_fer_perez copy html files to sourceforge (fer_perez only)"
	@echo "  sf_arokem copy html files to sourceforge (arokem only)"

clean:
	-rm -rf _build/* *~ api/generated
	-rm -rf build/* 
	-rm examples/fig/*
htmlonly:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

api:    
	python ../tools/build_modref_templates.py
	@echo "Build API docs finished."

html: rstexamples api htmlonly 
	@echo "Build HTML and API finished."

html-no-exec: rstexamples-no-exec api htmlonly 
	@echo "Build HTML and API finished."

latex: api
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."
pdf: latex
	cd _build/latex && make all-pdf

all: html pdf

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."


rstexamples:
	../tools/make_examples.py

rstexamples-no-exec:
	../tools/make_examples.py --no-exec

# Sourceforge doesn't appear to have a way of copying the files
# without specifying a username.  So we'll probably have one target
# for each project admin
#
# Note: If several developers alternate commits, we may get permission errors
# from rsync with the upload targets. If that happens, use the *_full targets
# below which first wipe out the whole dir on SF and then re-upload.

sf_fer_perez:
	@echo "Copying html files to sourceforge..."
	rsync -avH --delete -e ssh _build/html/ fer_perez,nipy@web.sourceforge.net:htdocs/nitime

sf_arokem:
	@echo "Copying html files to sourceforge..."
	rsync -avH --delete -e ssh _build/html/ arokem,nipy@web.sourceforge.net:htdocs/nitime

# Targets that force a clean and re-upload
sf_fer_perez_clean:
	@echo "Cleaning up sourceforge site"
	ssh fer_perez,nipy@shell.sf.net "rm -rf /home/groups/n/ni/nipy/htdocs/nitime/*"

sf_fer_perez_full: sf_fer_perez_clean sf_fer_perez

sf_arokem_clean:
	@echo "Cleaning up sourceforge site"
	ssh arokem,nipy@shell.sf.net "rm -rf /home/groups/n/ni/nipy/htdocs/nitime/*"

sf_arokem_full: sf_arokem_clean sf_arokem

=== debian/changelog ===
nitime (0.2.99-1) unstable; urgency=low

  * Pre-0.3 snapshot release
  * Boost policy compliance to 3.9.2 (no changes due)
  * Assure off-screen backend (Agg) for matplotlib while building docs

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 29 May 2011 21:48:41 -0400

nitime (0.2-2) unstable; urgency=low

  * Proper casing in ${python:depends} (Closes: #614220).
    Thanks Jakub Wilk for the report and for the fix

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 20 Feb 2011 09:40:41 -0500

nitime (0.2-1) unstable; urgency=low

  * Initial release (Closes: #600714)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 22 Oct 2010 14:32:15 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKAGE_NAME = python-nitime
PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
INSTALL_PATH = $(CURDIR)/debian/tmp

# default Python
PYTHON=$(shell pyversions -d)

# override matplotlib config directory
export MPLCONFIGDIR=$(CURDIR)/build

%:
	dh $@

override_dh_auto_test:
	: # Do not test just after build, lets install and then test

override_dh_auto_install:
	dh_auto_install

	mkdir -p $(MPLCONFIGDIR)  # just in case
	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc
	: # Prune duplicate LICENSE file
	find debian/ -name LICENSE -delete
	: # Only now lets build docs
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	export PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$(PYTHON)/*-packages); \
	$(MAKE) -C doc html
	-rm doc/_build/html/_static/jquery.js
	-rm -r doc/_build/html/_sources
	: # objects inventory is of no use for the package
	-rm doc/_build/html/objects.inv
endif

# All tests later on
# cd build to prevent use of local/not-built source tree
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd build; \
	for PYTHON in $(shell pyversions -r); do \
		echo "I: Running NiTime unittests using $$PYTHON"; \
		PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$$PYTHON/*-packages) \
		MPLCONFIGDIR=/tmp/ \
			$$PYTHON /usr/bin/nosetests nitime; \
	done
endif

## immediately useable documentation
## and exemplar data (they are small excerpts anyway)
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin

=== debian/watch ===
version=3

opts="filenamemangle=s/.*\/(.*)/nitime-$1\.tar\.gz/" \
  http://github.com/nipy/nitime/downloads .*tarball/([\d\.a-z]+)

## nitime 0.3.1

=== debian/changelog ===
nitime (0.3.1-1) unstable; urgency=low

  * Fresh bugfix release: addresses compatibility concerns allowing easy
    backporting
  * CP commit to fixup __version__ to report 0.3.1 instead of 0.4.dev

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 17 Aug 2011 17:35:17 -0400

nitime (0.3-1) UNRELEASED; urgency=low

  * Fresh upstream release
  * Adjusted debian/watch and added a rudimentary get-orig-source which 
    uses uscan to fetch tarballs from github

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Aug 2011 16:29:48 -0400

=== debian/control ===
Source: nitime
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python-all, python-support,
			   python-numpy,
			   python-scipy,
			   python-matplotlib, python-tk,
			   python-sphinx,
			   python-nose,
			   python-networkx,
			   python-nibabel
Standards-Version: 3.9.2
Homepage: http://nipy.org/nitime
Vcs-Git: git://github.com/yarikoptic/nitime.git
Vcs-Browser: http://github.com/yarikoptic/nitime

Package: python-nitime
Architecture: all
Depends: ${python:depends}, ${shlibs:Depends}, ${misc:Depends},
		 python-numpy, python-scipy
Recommends: python-matplotlib,
			python-nose,
			python-nibabel,
			python-networkx
Description: timeseries analysis for neuroscience data (nitime)
 Nitime is a Python module for time-series analysis of data from
 neuroscience experiments.  It contains a core of numerical algorithms
 for time-series analysis both in the time and spectral domains, a set
 of container objects to represent time-series, and auxiliary objects
 that expose a high level interface to the numerical machinery and
 make common analysis tasks easy to express with compact and
 semantically clear code.

Package: python-nitime-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-nitime
Description: timeseries analysis for neuroscience data (nitime) -- documentation
 Nitime is a Python module for time-series analysis of data from
 neuroscience experiments.
 .
 This package provides the documentation in HTML format.

=== debian/rules ===
--- 
+++ 
@@ -50,3 +50,6 @@
 ## and exemplar data (they are small excerpts anyway)
 override_dh_compress:
 	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin
+
+get-orig-source:
+	-uscan --upstream-version 0 --rename

=== debian/watch ===
version=3

opts="filenamemangle=s/.*\/(.*)/nitime-$1\.tar\.gz/" \
  http://github.com/nipy/nitime/downloads .*tarball/rel/([\d\.a-z]+)

## nitime 0.4

=== doc/Makefile ===
--- 
+++ 
@@ -30,6 +30,8 @@
 	-rm -rf _build/* *~ api/generated
 	-rm -rf build/* 
 	-rm examples/fig/*
+	-rm examples/*.rst
+
 htmlonly:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
 	@echo

=== debian/changelog ===
nitime (0.4-2ubuntu1) trusty; urgency=low

  * Add a patch (sphinx_inheritance_diagram.diff) to fix FTBFS with Sphinx
    1.2 (closes: #706533).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 14 Nov 2013 19:47:53 +0400

nitime (0.4-2) unstable; urgency=low

  * Added graphviz to Build-Depends (Closes: #608908)
    Sorry that I have missed in -1 upload
  * Adding additional cleaning to assure pristine state for source
    package rebuilding (Closes: #643226, original report was about version.py
    being modified -- seems to be not the case any longer)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 Jun 2012 09:01:35 -0400

nitime (0.4-1) unstable; urgency=low

  * New upstream release
    - fix commit for lazyimports pickling
    - compatible with scipy 0.10 API breakage (Closes: #671978)
  * debian/control:
    - added XS-Python-Version >= 2.6 (for squeeze backports)
    - reindented/untabified *Depends
    - boosted policy compliance to 3.9.3 (no further changes)
    - upcased Depends in ${python:Depends}.  Hopefully finally it
      (Closes: #614220)
  * debian/copyright:
    - updated years and fixed for DEP5 compliance
  * debian/rules
    - disable test_lazy_reload test (known to fail whenever ran by nosetest)
    - export HOME=$(CURDIR)/build just to avoid possible FTBFs
  * debian/watch
    - adjusted to fetch from tags

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Jun 2012 16:04:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,32 @@
 Source: nitime
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all, python-support,
-			   python-numpy,
-			   python-scipy,
-			   python-matplotlib, python-tk,
-			   python-sphinx,
-			   python-nose,
-			   python-networkx,
-			   python-nibabel
-Standards-Version: 3.9.2
+               python-numpy,
+               python-scipy,
+               python-matplotlib, python-tk,
+               python-sphinx,
+               python-nose,
+               python-networkx,
+               python-nibabel,
+               graphviz,
+Standards-Version: 3.9.3
+XS-Python-Version: >= 2.6
 Homepage: http://nipy.org/nitime
 Vcs-Git: git://github.com/yarikoptic/nitime.git
 Vcs-Browser: http://github.com/yarikoptic/nitime
 
 Package: python-nitime
 Architecture: all
-Depends: ${python:depends}, ${shlibs:Depends}, ${misc:Depends},
-		 python-numpy, python-scipy
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+         python-numpy, python-scipy
 Recommends: python-matplotlib,
-			python-nose,
-			python-nibabel,
-			python-networkx
+            python-nose,
+            python-nibabel,
+            python-networkx
 Description: timeseries analysis for neuroscience data (nitime)
  Nitime is a Python module for time-series analysis of data from
  neuroscience experiments.  It contains a core of numerical algorithms

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 # override matplotlib config directory
 export MPLCONFIGDIR=$(CURDIR)/build
+export HOME=$(CURDIR)/build
 
 %:
 	dh $@
@@ -42,7 +43,7 @@
 		echo "I: Running NiTime unittests using $$PYTHON"; \
 		PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$$PYTHON/*-packages) \
 		MPLCONFIGDIR=/tmp/ \
-			$$PYTHON /usr/bin/nosetests nitime; \
+			$$PYTHON /usr/bin/nosetests --exclude=test_lazy_reload nitime; \
 	done
 endif
 
@@ -51,5 +52,10 @@
 override_dh_compress:
 	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin
 
+override_dh_clean:
+	dh_clean
+	@echo "I: Removing other generated material"
+	rm -rf build doc/_build doc/examples/fig doc/api/generated/ doc/examples/*rst
+
 get-orig-source:
 	-uscan --upstream-version 0 --rename

=== debian/watch ===
version=3

opts="filenamemangle=s/.*\/(.*)/nitime-$1\.tar\.gz/,uversionmangle=s/rc/~rc/g" \
 https://github.com/nipy/nitime/tags .*tarball/rel/([\d\.a-z]+)

## nitime 0.5

=== debian/changelog ===
nitime (0.5-1~nd12.04+1) precise; urgency=low

  * Backported for precise.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 14 Jun 2014 10:38:14 -0400

nitime (0.5-1) unstable; urgency=medium

  * New release
    - does not ship sphinxext/inheritance_diagram.py any longer
      (Closes: #706533)
  * debian/copyright
    - extended to cover added 3rd party snippets and updated years
  * debian/watch
    - updated to use githubredir.debian.net service
  * debian/patches
    - debian/patches/up_version_info_python2.6 for compatibility with
      python2.6 (on wheezy etc)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 14 Jun 2014 07:34:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: nitime
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all, python-support,
                python-numpy,
@@ -21,7 +21,7 @@
 
 Package: python-nitime
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
          python-numpy, python-scipy
 Recommends: python-matplotlib,
             python-nose,
@@ -39,7 +39,7 @@
 Package: python-nitime-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
 Suggests: python-nitime
 Description: timeseries analysis for neuroscience data (nitime) -- documentation
  Nitime is a Python module for time-series analysis of data from

## nitime 0.6

=== doc/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 clean:
 	-rm -rf _build/* *~ api/generated
-	-rm -rf build/* 
+	-rm -rf build/*
 	-rm examples/fig/*
 	-rm examples/*.rst
 
@@ -37,14 +37,14 @@
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
 
-api:    
+api:
 	python ../tools/build_modref_templates.py
 	@echo "Build API docs finished."
 
-html: rstexamples api htmlonly 
+html: rstexamples api htmlonly
 	@echo "Build HTML and API finished."
 
-html-no-exec: rstexamples-no-exec api htmlonly 
+html-no-exec: rstexamples-no-exec api htmlonly
 	@echo "Build HTML and API finished."
 
 latex: api
@@ -81,31 +81,6 @@
 rstexamples-no-exec:
 	../tools/make_examples.py --no-exec
 
-# Sourceforge doesn't appear to have a way of copying the files
-# without specifying a username.  So we'll probably have one target
-# for each project admin
-#
-# Note: If several developers alternate commits, we may get permission errors
-# from rsync with the upload targets. If that happens, use the *_full targets
-# below which first wipe out the whole dir on SF and then re-upload.
 
-sf_fer_perez:
-	@echo "Copying html files to sourceforge..."
-	rsync -avH --delete -e ssh _build/html/ fer_perez,nipy@web.sourceforge.net:htdocs/nitime
-
-sf_arokem:
-	@echo "Copying html files to sourceforge..."
-	rsync -avH --delete -e ssh _build/html/ arokem,nipy@web.sourceforge.net:htdocs/nitime
-
-# Targets that force a clean and re-upload
-sf_fer_perez_clean:
-	@echo "Cleaning up sourceforge site"
-	ssh fer_perez,nipy@shell.sf.net "rm -rf /home/groups/n/ni/nipy/htdocs/nitime/*"
-
-sf_fer_perez_full: sf_fer_perez_clean sf_fer_perez
-
-sf_arokem_clean:
-	@echo "Cleaning up sourceforge site"
-	ssh arokem,nipy@shell.sf.net "rm -rf /home/groups/n/ni/nipy/htdocs/nitime/*"
-
-sf_arokem_full: sf_arokem_clean sf_arokem
+upload: html
+	./upload-gh-pages.sh _build/html/ nitime nipy

=== debian/changelog ===
nitime (0.6-1) unstable; urgency=medium

  * Fresh upstream bugfix release (Closes: #812700)
  * debian/patches -- dropped 2 patches previously picked up from upstream VCS
  * debian/watch -- adjusted for deprecated githubredir

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 07 Feb 2016 18:57:21 -0500

nitime (0.5-3) unstable; urgency=medium

  * Include upstream patch for modern matplotlib versions (Closes: #802524).

 -- Michael Hanke <mih@debian.org>  Wed, 30 Dec 2015 10:18:40 +0100

nitime (0.5-2) unstable; urgency=medium

  * Update maintainer email address.
  * Remove dependency on python-support, while upgrading to dh9
    (Closes: #786233).
  * Drop embedded javascript library in favor of a dependency on
    libjs-underscore.
  * Bump Standards-version, no changes necessary.

 -- Michael Hanke <mih@debian.org>  Mon, 24 Aug 2015 18:53:56 +0200

=== debian/control ===
Source: nitime
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>
Section: python
Priority: extra
Build-Depends: debhelper (>= 9~),
               python-all,
               dh-python,
               python-numpy,
               python-scipy,
               python-matplotlib,
               python-tk,
               python-sphinx,
               python-nose,
               python-networkx,
               python-nibabel,
               graphviz
Standards-Version: 3.9.6
Vcs-Browser: http://github.com/yarikoptic/nitime
Vcs-Git: git://github.com/yarikoptic/nitime.git
Homepage: http://nipy.org/nitime
X-Python-Version: >= 2.6

Package: python-nitime
Architecture: all
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-numpy,
         python-scipy
Recommends: python-matplotlib,
            python-nose,
            python-nibabel,
            python-networkx
Description: timeseries analysis for neuroscience data (nitime)
 Nitime is a Python module for time-series analysis of data from
 neuroscience experiments.  It contains a core of numerical algorithms
 for time-series analysis both in the time and spectral domains, a set
 of container objects to represent time-series, and auxiliary objects
 that expose a high level interface to the numerical machinery and
 make common analysis tasks easy to express with compact and
 semantically clear code.

Package: python-nitime-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Suggests: python-nitime
Description: timeseries analysis for neuroscience data (nitime) -- documentation
 Nitime is a Python module for time-series analysis of data from
 neuroscience experiments.
 .
 This package provides the documentation in HTML format.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export HOME=$(CURDIR)/build
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_test:
 	: # Do not test just after build, lets install and then test
@@ -30,6 +30,7 @@
 	export PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$(PYTHON)/*-packages); \
 	$(MAKE) -C doc html
 	-rm doc/_build/html/_static/jquery.js
+	-rm doc/_build/html/_static/underscore.js
 	-rm -r doc/_build/html/_sources
 	: # objects inventory is of no use for the package
 	-rm doc/_build/html/objects.inv

## nitime 0.6+git15-g4951606

=== debian/changelog ===
nitime (0.6+git15-g4951606-1) unstable; urgency=medium

  * New upstream snapshot from rel/0.6-15-g4951606 
    - contains fixes for compatibility with recent matplotlib etc
  * debian/control
    - boosted policy to 3.9.8

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 03 Aug 2016 22:42:06 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python-networkx,
                python-nibabel,
                graphviz
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: http://github.com/yarikoptic/nitime
 Vcs-Git: git://github.com/yarikoptic/nitime.git
 Homepage: http://nipy.org/nitime

## nitime 0.7

=== debian/changelog ===
nitime (0.7-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - added python-{setuptools,pytest} into build-depends
  * debian/rules
    - skip slightly failing test_coherence_linear_dependence for now
      (see https://github.com/nipy/nitime/issues/150)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 06 Jan 2017 15:18:05 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,9 @@
                python-nose,
                python-networkx,
                python-nibabel,
-               graphviz
+               python-setuptools,
+               python-pytest,
+               graphviz,
 Standards-Version: 3.9.8
 Vcs-Browser: http://github.com/yarikoptic/nitime
 Vcs-Git: git://github.com/yarikoptic/nitime.git

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 		echo "I: Running NiTime unittests using $$PYTHON"; \
 		PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$$PYTHON/*-packages) \
 		MPLCONFIGDIR=/tmp/ \
-			$$PYTHON /usr/bin/nosetests --exclude=test_lazy_reload nitime; \
+			$$PYTHON /usr/bin/nosetests '--exclude=test_(coherence_linear_dependence|lazy_reload)' nitime; \
 	done
 endif

=== debian/watch ===
version=3

opts="uversionmangle=s/rc/~rc/,filenamemangle=s/.*?([\d\.]+)\..*/nitime_$1.orig.tar.gz/" \
 https://github.com/nipy/nitime/tags .*/archive/rel/([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## nitime 0.8.1

=== doc/Makefile ===
--- 
+++ 
@@ -23,8 +23,7 @@
 	      		"items (ChangeLog)"
 	@echo "  linkcheck check all external links for integrity"
 	@echo "  doctest   run all doctests embedded in the documentation"
-	@echo "  sf_fer_perez copy html files to sourceforge (fer_perez only)"
-	@echo "  sf_arokem copy html files to sourceforge (arokem only)"
+	@echo "  upload 	Upload the docs to github pages website"
 
 clean:
 	-rm -rf _build/* *~ api/generated

=== debian/changelog ===
nitime (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * Reupload source package to enable testing migration
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Thu, 19 Dec 2019 08:53:30 +0100

nitime (0.8.1-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * New upstream version, python3 only. (Closes: #937145)
  * Move package to salsa.debian.org/med-team

  [ Andreas Tille ]
  * Priotity optional
  * debhelper-compat 9 (leave level 9 for backwards compatibility)
  * Standards-Version: 4.4.1
  * Testsuite: autopkgtest-pkg-python
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database.
  * Remove unused paragraph from d/copryight

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Dec 2019 15:32:08 +0100

nitime (0.7-2) unstable; urgency=high

  * Use mathjax sphinx.ext if no pngmath is available (Closes: #922256)
  * debian/control
    - boost policy to 4.3.0
    - remove obsolete X-Python*

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 21 Feb 2019 12:50:06 -0500

=== debian/control ===
Source: nitime
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 9),
               python3-all,
               dh-python,
               python3-numpy,
               python3-scipy,
               python3-matplotlib,
               python3-tk,
               python3-sphinx,
               python3-nose,
               python3-networkx,
               python3-nibabel,
               python3-setuptools,
               python3-pytest,
               graphviz
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/nitime
Vcs-Git: https://salsa.debian.org/med-team/nitime.git
Homepage: https://nipy.org/nitime

Package: python3-nitime
Architecture: all
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-numpy,
         python3-scipy
Recommends: python3-matplotlib,
            python3-nose,
            python3-nibabel,
            python3-networkx
Description: timeseries analysis for neuroscience data (nitime)
 Nitime is a Python module for time-series analysis of data from
 neuroscience experiments.  It contains a core of numerical algorithms
 for time-series analysis both in the time and spectral domains, a set
 of container objects to represent time-series, and auxiliary objects
 that expose a high level interface to the numerical machinery and
 make common analysis tasks easy to express with compact and
 semantically clear code.

Package: python-nitime-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Suggests: python3-nitime
Description: timeseries analysis for neuroscience data (nitime) -- documentation
 Nitime is a Python module for time-series analysis of data from
 neuroscience experiments.
 .
 This package provides the documentation in HTML format.

=== debian/rules ===
--- 
+++ 
@@ -1,22 +1,24 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-PACKAGE_NAME = python-nitime
+PACKAGE_NAME = python3-nitime
 PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
 INSTALL_PATH = $(CURDIR)/debian/tmp
 
 # default Python
-PYTHON=$(shell pyversions -d)
+PYTHON=$(shell py3versions -d)
 
 # override matplotlib config directory
 export MPLCONFIGDIR=$(CURDIR)/build
 export HOME=$(CURDIR)/build
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3 --buildsystem pybuild
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	: # Do not test just after build, lets install and then test
+endif
 
 override_dh_auto_install:
 	dh_auto_install
@@ -28,7 +30,8 @@
 	: # Only now lets build docs
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	export PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$(PYTHON)/*-packages); \
-	$(MAKE) -C doc html
+	$(MAKE) -C doc html-no-exec
+	# TODO: remove -no-exec when doc/examples/filtering_fmri.py is fixed
 	-rm doc/_build/html/_static/jquery.js
 	-rm doc/_build/html/_static/underscore.js
 	-rm -r doc/_build/html/_sources
@@ -40,11 +43,11 @@
 # cd build to prevent use of local/not-built source tree
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd build; \
-	for PYTHON in $(shell pyversions -r); do \
+	for PYTHON in $(shell py3versions -r); do \
 		echo "I: Running NiTime unittests using $$PYTHON"; \
 		PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$$PYTHON/*-packages) \
 		MPLCONFIGDIR=/tmp/ \
-			$$PYTHON /usr/bin/nosetests '--exclude=test_(coherence_linear_dependence|lazy_reload)' nitime; \
+			$$PYTHON /usr/bin/nosetests3 '--exclude=test_(coherence_linear_dependence|lazy_reload)' nitime; \
 	done
 endif

## nitime 0.9

=== requirements.txt ===
numpy
cython
scipy
matplotlib
networkx
nibabel

=== debian/changelog ===
nitime (0.9-2) unstable; urgency=medium

  * Switch to pytest instead of nose

 -- Nilesh Patra <nilesh@debian.org>  Mon, 25 Oct 2021 02:30:56 +0530

nitime (0.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + python-nitime-doc: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Wed, 01 Sep 2021 16:43:09 +0200

nitime (0.9-1) unstable; urgency=medium

  * Add myself to uploaders
  * New upstream version 0.9
  * Remove merged patch
  * Standards-Version: 4.5.1 (routine-update)
  * Switch watch version to 4
  * Do not mention removed file in copyright

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 20 Dec 2020 20:20:57 +0530

nitime (0.8.1-4) unstable; urgency=medium

  * Team Upload.
  * Fix according changed sphinx API (Closes: #963663)
  * Remove ajax inclusion in html files
  * Fix lintian
  * debhelper-compat 13 (routine-update)
  * Update upstream/metadata

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 22 Aug 2020 02:34:08 +0530

nitime (0.8.1-3) unstable; urgency=medium

  * Team upload.
  * Ignore github extension since it is not compatible with Shinx 2.4
    Closes: #955103
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 16 Apr 2020 11:45:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: nitime
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <mih@debian.org>
+           Michael Hanke <mih@debian.org>,
+           Nilesh Patra <nilesh@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 9),
+Build-Depends: debhelper-compat (= 13),
                python3-all,
                dh-python,
                python3-numpy,
@@ -13,16 +14,16 @@
                python3-matplotlib,
                python3-tk,
                python3-sphinx,
-               python3-nose,
                python3-networkx,
                python3-nibabel,
                python3-setuptools,
                python3-pytest,
                graphviz
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/nitime
 Vcs-Git: https://salsa.debian.org/med-team/nitime.git
 Homepage: https://nipy.org/nitime
+Rules-Requires-Root: no
 
 Package: python3-nitime
 Architecture: all
@@ -32,7 +33,6 @@
          python3-numpy,
          python3-scipy
 Recommends: python3-matplotlib,
-            python3-nose,
             python3-nibabel,
             python3-networkx
 Description: timeseries analysis for neuroscience data (nitime)
@@ -51,6 +51,7 @@
          libjs-jquery,
          libjs-underscore
 Suggests: python3-nitime
+Multi-Arch: foreign
 Description: timeseries analysis for neuroscience data (nitime) -- documentation
  Nitime is a Python module for time-series analysis of data from
  neuroscience experiments.

=== debian/rules ===
--- 
+++ 
@@ -15,16 +15,10 @@
 %:
 	dh $@ --with python3 --buildsystem pybuild
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	: # Do not test just after build, lets install and then test
-endif
-
 override_dh_auto_install:
 	dh_auto_install
 
 	mkdir -p $(MPLCONFIGDIR)  # just in case
-	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc
 	: # Prune duplicate LICENSE file
 	find debian/ -name LICENSE -delete
 	: # Only now lets build docs
@@ -37,17 +31,8 @@
 	-rm -r doc/_build/html/_sources
 	: # objects inventory is of no use for the package
 	-rm doc/_build/html/objects.inv
-endif
-
-# All tests later on
-# cd build to prevent use of local/not-built source tree
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd build; \
-	for PYTHON in $(shell py3versions -r); do \
-		echo "I: Running NiTime unittests using $$PYTHON"; \
-		PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$$PYTHON/*-packages) \
-		MPLCONFIGDIR=/tmp/ \
-			$$PYTHON /usr/bin/nosetests3 '--exclude=test_(coherence_linear_dependence|lazy_reload)' nitime; \
+	for f in `find . -name "*.html"`; do \
+		sed -i -e '/cloudflare/d' -e '/jsdelivr/d' $$f; \
 	done
 endif

=== debian/watch ===
version=4

opts="uversionmangle=s/rc/~rc/,filenamemangle=s/.*?([\d\.]+)\..*/nitime_$1.orig.tar.gz/" \
 https://github.com/nipy/nitime/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## nitime 0.10.2

=== debian/changelog ===
nitime (0.10.2-2) unstable; urgency=medium

  * Team upload.

  [ Komolehin Israel Timilehin ]
  * Added autopkgtest (Closes: #1058705)

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Komolehin Israel Timilehin <komolehinisrael@gmail.com>  Wed, 20 Dec 2023 12:19:23 +0000

nitime (0.10.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version  (Closes: #1058416)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * dh_clean needs more adjustments

  [ Étienne Mollier ]
  * d/control: build depends on python3-setuptools-scm.
  * sphinx-conf-fix.patch: new: fix conf.py.
    This is necessary as doc/conf.py still relies on the old
    nitime/version.py, which has been replaced by nitime/_version.py,
    causing various issues when trying to build python-nitime-doc.
  * d/python-nitime-doc.lintian-overrides: refresh.
    This fixes a mismatched override about embedded javascript.
  * d/control: depend on pyproject backend.
  * demote-cython.patch: new: do not depend on cython3. (Closes: #1057996)
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Thu, 14 Dec 2023 22:51:37 +0100

nitime (0.10.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Drop debian/blends which is unused

  [ Étienne Mollier ]
  * New upstream version 0.10.1  (Closes: #1042247)
  * do-not-set-lowerbound-zero-in-iir.patch: delete: fixed upstream.
  * fix-psd-test.patch: delete: fixed upstream.
  * numpy_1.24.patch: remove: applied upstream.

  [ Nilesh Patra ]
  * Use deprecated networkx function for now, as the drop-in replacement
    upstream used is causing a regression.
    Proper Fix suggested upstream already.
  * Add patch to fix doc FTBFS with new matplotlib

 -- Nilesh Patra <nilesh@debian.org>  Fri, 25 Aug 2023 01:55:48 +0530

nitime (0.9-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Adapt to numpy 1.24 (Closes: #1029245)

  [ Nilesh Patra ]
  * Actually and genuinely add a patch for numpydoc errors

 -- Nilesh Patra <nilesh@debian.org>  Sat, 21 Jan 2023 10:28:38 +0530

nitime (0.9-4) unstable; urgency=medium

  * Add patch to fix test_psd_matlab (Closes: #1027550)
  * docs/conf.py: Look in axes_grid1 instead of axes_grid
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 02 Jan 2023 00:14:51 +0530

nitime (0.9-3) unstable; urgency=medium

  * Add patch to not set ws lower bound to zero (Closes: #1013569)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 11 Jul 2022 18:30:08 +0530

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
+           Nilesh Patra <nilesh@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                python3-all,
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-numpy,
                python3-scipy,
                python3-matplotlib,
@@ -17,9 +19,10 @@
                python3-networkx,
                python3-nibabel,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-pytest,
                graphviz
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/nitime
 Vcs-Git: https://salsa.debian.org/med-team/nitime.git
 Homepage: https://nipy.org/nitime

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export HOME=$(CURDIR)/build
 
 %:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --buildsystem pybuild
 
 override_dh_auto_install:
 	dh_auto_install
@@ -44,7 +44,14 @@
 override_dh_clean:
 	dh_clean
 	@echo "I: Removing other generated material"
-	rm -rf build doc/_build doc/examples/fig doc/api/generated/ doc/examples/*rst
+	rm -rf \
+	    build \
+	    doc/_build \
+	    doc/examples/fig \
+	    doc/api/generated/ \
+	    doc/examples/*rst \
+	    nitime/_utils.c \
+	    nitime/_version.py
 
 get-orig-source:
 	-uscan --upstream-version 0 --rename

=== debian/tests/control ===
Tests: run-unit-test
Depends: python3-nitime, python3-pytest
Restrictions: allow-stderr

## nitime 0.11

=== requirements.txt ===
# Auto-generated by tools/update_requirements.py
--only-binary numpy,scipy
--extra-index-url https://pypi.anaconda.org/scientific-python-nightly-wheels/simple
matplotlib>=3.5
numpy>=1.22
scipy>=1.8
networkx>=2.7
nibabel>=4.0

=== debian/changelog ===
nitime (0.11-3) unstable; urgency=medium

  * Team upload.
  * Remove intersphinx
    Closes: #1090108
  * Standards-Version: 4.7.0 (routine-update)
  * d/copyright: Fix license name according to lrc

 -- Andreas Tille <tille@debian.org>  Tue, 17 Dec 2024 14:03:27 +0100

nitime (0.11-2) unstable; urgency=medium

  * Team upload.
  * d/rules: move cleaning logic to d/clean
  * Switch autopkgtest to pybuild-autopkgtest. Skip some tests on 32-bit
    systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 23 Sep 2024 10:17:16 +0200

nitime (0.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version supports numpy 2. Closes: #1082367, #1065520
  * sphinx-conf-fix.patch deleted, it was upstreamed
  * d/tests/control: run the tests on all supported versions of Python.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 22 Sep 2024 15:14:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Nilesh Patra <nilesh@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                python3-all,
@@ -22,7 +22,7 @@
                python3-setuptools-scm,
                python3-pytest,
                graphviz
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/nitime
 Vcs-Git: https://salsa.debian.org/med-team/nitime.git
 Homepage: https://nipy.org/nitime

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk
PACKAGE_NAME = python3-nitime
PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
INSTALL_PATH = $(CURDIR)/debian/tmp

# default Python
PYTHON=$(shell py3versions -d)

# override matplotlib config directory
export MPLCONFIGDIR=$(CURDIR)/build
export HOME=$(CURDIR)/build

ifneq (,$(findstring $(DEB_HOST_ARCH_BITS),32))
export PYBUILD_TEST_ARGS=-k "not (test_UniformTime_index_at or test_basic_slicing or test_index_at_20101206 or test_timearray_math_functions)" --pyargs nitime
else
export PYBUILD_TEST_ARGS=--pyargs nitime
endif
# skip some test on 32-bit systems.

%:
	dh $@ --buildsystem pybuild

execute_after_dh_auto_install:
	mkdir -p $(MPLCONFIGDIR)  # just in case
	: # Prune duplicate LICENSE file
	find debian/ -name LICENSE -delete
	: # Only now lets build docs
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	export PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$(PYTHON)/*-packages); \
	$(MAKE) -C doc html-no-exec
	# TODO: remove -no-exec when doc/examples/filtering_fmri.py is fixed
	-rm doc/_build/html/_static/jquery.js
	-rm doc/_build/html/_static/underscore.js
	-rm -r doc/_build/html/_sources
	for f in `find . -name "*.html"`; do \
		sed -i -e '/cloudflare/d' -e '/jsdelivr/d' $$f; \
	done
endif

## immediately useable documentation
## and exemplar data (they are small excerpts anyway)
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin

get-orig-source:
	-uscan --upstream-version 0 --rename

## nitime 0.12.1

=== requirements.txt ===
# Auto-generated by tools/update_requirements.py
--only-binary numpy,scipy
--extra-index-url https://pypi.anaconda.org/scientific-python-nightly-wheels/simple
matplotlib>=3.7
numpy>=1.24
scipy>=1.10
networkx>=3.0
nibabel>=5.0

=== debian/changelog ===
nitime (0.12.1-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target.

 -- Santiago Vila <sanvila@debian.org>  Tue, 03 Feb 2026 09:40:00 +0100

nitime (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
  * d/copyright: remove nitime/_mpl_units.py.
    The file has disappeared upstream, along its licensing terms.
  * demote-cython.patch: unfuzz.
  * d/watch: convert to v5 Github template.
  * d/control: drop redundant Priority: optional.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.3.
  * d/control: update build dependencies.
  * d/control: python3-nitime is now Architecture: any.
    This is because of the reintroduced dependency on cython3.  The
    construction of the package is now producing architecture dependent
    artifacts.
  * d/docs: update to README.rst.
  * adjust-test-uniformtime.patch: fix doctest mismatch.
  * d/rules: cleanup stray coverage.xml files.
  * d/rules: various readability improvements.
  * d/patches/*: normalise Last-Update timestamps.
  * d/rules: activate binaries hardening.

 -- Étienne Mollier <emollier@debian.org>  Sat, 03 Jan 2026 17:07:06 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk
PACKAGE_NAME = python3-nitime
PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
INSTALL_PATH = $(CURDIR)/debian/tmp
PYTHON=$(shell py3versions --default)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# override matplotlib config directory
export MPLCONFIGDIR=$(CURDIR)/build
export HOME=$(CURDIR)/build

ifneq (,$(findstring $(DEB_HOST_ARCH_BITS),32))
export PYBUILD_TEST_ARGS=-k "not ( \
		test_UniformTime_index_at \
		or test_basic_slicing \
		or test_index_at_20101206 \
		or test_timearray_math_functions \
	)" --pyargs nitime
else
export PYBUILD_TEST_ARGS=--pyargs nitime
endif
# skip some test on 32-bit systems.

%:
	dh $@ --buildsystem pybuild

execute_after_dh_auto_install:
	mkdir -p $(MPLCONFIGDIR)  # just in case
	# Prune duplicate LICENSE file
	find debian/ -name LICENSE -delete
	# Remove stray coverage.xml report(s).
	rm -vf $(INSTALL_PATH)/usr/lib/python*/dist-packages/coverage.xml
	# Only now lets build docs
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	export PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$(PYTHON)/*-packages); \
	$(MAKE) -C doc html-no-exec
	# TODO: remove -no-exec when doc/examples/filtering_fmri.py is fixed
	-rm doc/_build/html/_static/jquery.js
	-rm doc/_build/html/_static/underscore.js
	-rm -r doc/_build/html/_sources
	for f in `find . -name "*.html"`; do \
		sed -i -e '/cloudflare/d' -e '/jsdelivr/d' $$f; \
	done
endif

## immediately useable documentation
## and exemplar data (they are small excerpts anyway)
override_dh_compress:
	dh_compress \
		-X.py \
		-X.html \
		-X.css \
		-X.jpg \
		-X.txt \
		-X.js \
		-X.json \
		-X.rtc \
		-X.par \
		-X.bin

get-orig-source:
	-uscan --upstream-version 0 --rename

=== debian/watch ===
Version: 5

Template: Github
Owner: nipy
Project: nitime
Uversionmangle: auto
